/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.area;

import javax.swing.border.EmptyBorder;
import java.awt.*;

/**
 * @author Vity
 */
final class AreaMatteBorder extends EmptyBorder {
    private static final Color lineBorderColor = new Color(0xC0C0C0);

    public AreaMatteBorder(final int top, final int left, final int bottom, final int right) {
        super(top, left, bottom, right);    //call to super
    }

    public final void paintBorder(final Component c, final Graphics g, final int x, final int y, final int width, final int height) {
        super.paintBorder(c, g, x, y, width, height);    //call to super
        g.setColor(Color.WHITE);
        g.fillRect(x, y, width, height);
        g.setColor(lineBorderColor);
        g.drawLine(25 + 1, y, 25 + 1, y + height);
        g.drawLine(width - getBorderInsets().right + 2, y, width - getBorderInsets().right + 2, y + height);
        //       System.out.println("border right" + getBorderInsets().right);
    }

}
