/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.core.actions;

import net.wordrider.core.AppPrefs;
import net.wordrider.utilities.Swinger;

import javax.swing.*;
import java.awt.event.ActionEvent;

/**
 * @author Vity
 */
public class ChangeLanguageAction extends CoreAction {
    private final static String CODE = "ChangeLanguageAction";
    private final String languageCode;

    public ChangeLanguageAction(String lngCode, String name, Integer mnemonic, String smallIcon) {
        super(CODE + lngCode, name, mnemonic, smallIcon);    //call to super
        this.languageCode = lngCode;
    }


    public void actionPerformed(final ActionEvent e) {
        if (!languageCode.equals(AppPrefs.getSelectedLanguageCode())) {
            AppPrefs.setSelectedLanguageCode(languageCode);
            AppPrefs.reloadLangProperties();
            Swinger.showInformationDialog(getMainFrame(), AppPrefs.getLabel("ChangeLanguageAction.set"));            
        } else
            ((JMenuItem) e.getSource()).setSelected(true);
    }
}
