/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.dialogs;

import net.wordrider.core.AppPrefs;
import net.wordrider.utilities.Swinger;
import net.wordrider.utilities.Utils;

import javax.swing.*;
import java.awt.*;


/**
 * @author Vity
 */
public class LoadingDialog extends AppDialog {
    private JProgressBar progressBar = new JProgressBar();

    public LoadingDialog(final Frame owner) {
        super(owner, true);
        //this.frame = owner;
        try {
            init();
        } catch (Exception e) {
            Utils.processException(e);
        }
        Swinger.centerDialog(owner, this);
        this.setResizable(false);
        this.setModal(true);
        //this.setTitle(AppPrefs.getLabel("dialog.close.title"));
        this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
    }

    private void init() throws Exception {
        //this.getRootPane().setWindowDecorationStyle(JRootPane.PLAIN_DIALOG);
        this.setUndecorated(true);
        final Container mainPanel = this.getContentPane();
        mainPanel.setCursor(Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));
        //mainPanel.add(Box.createVerticalStrut(15));
        final JPanel showPanel;
        mainPanel.add(showPanel = new JPanel(new FlowLayout()));
        showPanel.setBorder(BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(), AppPrefs.getLabel("dialog.loading.checkNewVersion")));

        progressBar.setBorder(BorderFactory.createLineBorder(Color.BLACK));
        showPanel.add(progressBar);
        //mainPanel.add(Box.createVerticalStrut(15));
        //showPanel.setPreferredSize(new Dimension(200,50));
        progressBar.setStringPainted(true);
        progressBar.setIndeterminate(true);

        this.pack();
        //this.setSize(200, 50);
    }

    public void setStatusText(final String text) {
        progressBar.setString(text);        
    }

}
