/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.dialogs;

import net.wordrider.core.AppPrefs;
import net.wordrider.utilities.Utils;

import javax.swing.*;
import java.awt.*;
import java.io.File;

/**
 * @author Vity
 */
public class PictureDialog extends JFileChooser {
    public PictureDialog() {
        super();
        init();
    }

    private final static class MyFileFilter extends javax.swing.filechooser.FileFilter {
        public final String getDescription() {
            return AppPrefs.getLabel("picturedialog.ti89files");  //implement - call to super class
        }

        public final boolean accept(final File pathname) {
            if (pathname.isFile()) {
                final String ext = Utils.getExtension(pathname);
                return (ext != null) ? ext.equals("89i") : true;
            }
            return true;
        }
    }

    public PictureDialog(final File currentDirectory) {
        super(currentDirectory);    //call to super
        init();
    }

    public int showInsertDialog(final Component parent) {
        return super.showDialog(parent,AppPrefs.getLabel("picturedialog.insertBtn"));    //call to super
    }

    private void init() {
        //    this.addChoosableFileFilter(new Image89iFilter());
        this.setAcceptAllFileFilterUsed(false);
        this.setDialogTitle(AppPrefs.getLabel("picturedialog.title"));
        //Add custom icons for file types.
        this.setFileFilter(new MyFileFilter());
        this.setFileView(new ImageFileView());
        //Add the preview pane.
        this.setAccessory(new ImagePreview(this));
    }
}
