/*
* Copyright (C) 2004 Ladislav Vitasek
* info@wordrider.net
* http://www.wordrider.net
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
package net.wordrider.core.actions;

import net.wordrider.core.AppPrefs;
import net.wordrider.utilities.Utils;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;

/**
 * @author Vity
 */
public final class ExitAction extends CoreAction {
    private static final ExitAction INSTANCE = new ExitAction();
    private static final String CODE = "ExitAction";

    private ExitAction() {
        super(CODE, KeyStroke.getKeyStroke(KeyEvent.VK_F4, InputEvent.ALT_MASK), "exit.gif");
    }

    public static final ExitAction getInstance() {
        return INSTANCE;
    }

    public final void actionPerformed(final ActionEvent e) {
        if (CloseAllAction.getInstance().closeAll(e)) {
            try {
                getAreaManager().getRecentFilesManager().storeRecentFiles();
                AppPrefs.store();
            } catch (Exception ex) {
                Utils.processException(ex);
            } finally{
                System.exit(0);
            }
        }
    }
}
